<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Corporation](./bitburner.corporation.md) &gt; [getIndustryData](./bitburner.corporation.getindustrydata.md)

## Corporation.getIndustryData() method

Get constant data of an industry.

**Signature:**

```typescript
getIndustryData(industryName: CorpIndustryName): CorpIndustryData;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

industryName


</td><td>

[CorpIndustryName](./bitburner.corpindustryname.md)


</td><td>

Name of the industry


</td></tr>
</tbody></table>

**Returns:**

[CorpIndustryData](./bitburner.corpindustrydata.md)

Industry data

## Remarks

RAM cost: 10 GB

